Bug 1279911 - User Defined properties are exported in each model in Dynamic VDB
User Defined properties are exported in each model in Dynamic VDB
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Barry LaFond
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 08:01 EST by Andrej Smigala
Modified: 2016-02-22 03:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:32:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2722 Minor Closed User Defined properties are exported in each model in Dynamic VDB 2016-02-22 03:59 EST

  None (edit)
Description Andrej Smigala 2015-11-10 08:01:23 EST
When exporting a VDB with user defined properties, the properties are added to each model in the resulting -vdb.xml. It would make more sense to include them once in the vdb root.

Current -vdb.xml

<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<vdb name="CustomPropertyVdb" version="1">

	<description />

	<property name="validationDateTime" value="Tue Nov 10 13:51:23 CET 2015" />

	<property name="validationVersion" value="8.7.1" />

	<model name="ViewModel2" type="VIRTUAL">

		<property name="lib" value="test" />

		<property name="myCustomProperty" value="someValue" />

		<metadata type="DDL"><![CDATA[ ... ]]></metadata>

	</model>

	<model name="ViewModel" type="VIRTUAL">

		<property name="lib" value="test" />

		<property name="myCustomProperty" value="someValue" />

		<metadata type="DDL"><![CDATA[ ... ]]></metadata>

	</model>

</vdb>

Expected -vdb.xml

<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<vdb name="CustomPropertyVdb" version="1">

	<description />

	<property name="validationDateTime" value="Tue Nov 10 13:51:23 CET 2015" />

	<property name="validationVersion" value="8.7.1" />

	<property name="lib" value="test" />

	<property name="myCustomProperty" value="someValue" />

	<model name="ViewModel2" type="VIRTUAL">

		<metadata type="DDL"><![CDATA[ ... ]]></metadata>

	</model>

	<model name="ViewModel" type="VIRTUAL">

		<metadata type="DDL"><![CDATA[ ... ]]></metadata>

	</model>

</vdb>
Comment 2 Barry LaFond 2015-12-07 08:32:20 EST
Using only JIRA now.  Marking as closed
Comment 3 JBoss JIRA Server 2016-01-19 17:06:54 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2722 to Resolved
Comment 4 JBoss JIRA Server 2016-02-22 03:59:40 EST
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2722 to Closed

Note You need to log in before you can comment on or make changes to this bug.